Index: tags/minix3.1.2a-orig/minix/include/minix/com.h
===================================================================
--- tags/minix3.1.2a-orig/minix/include/minix/com.h	(revision 13)
+++ tags/minix3.1.2a-orig/minix/include/minix/com.h	(revision 10)
@@ -42,6 +42,5 @@
 #define TTY_PROC_NR	  5	/* terminal (TTY) driver */
 #define DS_PROC_NR	  6    	/* data store server */
-#define SS_PROC_NR	  7    	/* semaphore server */
-#define INIT_PROC_NR	  8    	/* init -- goes multiuser */
+#define INIT_PROC_NR	  7    	/* init -- goes multiuser */
 
 /* Number of processes contained in the system image. */
@@ -488,13 +487,4 @@
 
 /*===========================================================================*
- *                Messages for the Semaphore Server			     *
- *===========================================================================*/
-#define SS_RQ_BASE 0xA00  /* qualsiasi numero inutilizzato e` ok */
-#define SS_DOWN	(SS_RQ_BASE + 0)	/* semaphore down */
-#define SS_UP	(SS_RQ_BASE + 1)	/* semaphore up */
-
-
-
-/*===========================================================================*
  *                Miscellaneous messages used by TTY			     *
  *===========================================================================*/
Index: tags/minix3.1.2a-orig/minix/kernel/table.c
===================================================================
--- tags/minix3.1.2a-orig/minix/kernel/table.c	(revision 13)
+++ tags/minix3.1.2a-orig/minix/kernel/table.c	(revision 10)
@@ -69,5 +69,5 @@
 #define SRV_M	(~0)
 #define SYS_M	(~0)
-#define USR_M (s(PM_PROC_NR) | s(FS_PROC_NR) | s(RS_PROC_NR) | s(SS_PROC_NR) | s(SYSTEM))
+#define USR_M (s(PM_PROC_NR) | s(FS_PROC_NR) | s(RS_PROC_NR) | s(SYSTEM))
 #define DRV_M (USR_M | s(SYSTEM) | s(CLOCK) | s(DS_PROC_NR) | s(LOG_PROC_NR) | s(TTY_PROC_NR))
 
@@ -80,5 +80,4 @@
 #define RS_C	~0	
 #define DS_C	~0	
-#define SS_C	~0	
 #define PM_C	~(c(SYS_DEVIO) | c(SYS_SDEVIO) | c(SYS_VDEVIO) | c(SYS_IRQCTL) | c(SYS_INT86))
 #define FS_C	(c(SYS_KILL) | c(SYS_VIRCOPY) | c(SYS_VIRVCOPY) | c(SYS_UMAP) | c(SYS_GETINFO) | c(SYS_EXIT) | c(SYS_TIMES) | c(SYS_SETALARM))
@@ -98,12 +97,4 @@
  * Note: the quantum size must be positive in all cases! 
  */
-/* Attenzione! Minix bug! L'ordine nella bootimage deve coincidere con quello 
- * della tabella (vedi commento precedente). Ne deriva che tre file devono
- * essere coerenti:
- * 1. include/minix/com.h (l'ordine delle macro *_NR)
- * 2. kernel/table.c      (l'ordine in boot_image)
- * 3. tools/Makefile      (l'ordine di concatenamento nella boot image) 
- * altrimenti la ipc_to mask non corrisponde
- */
 PUBLIC struct boot_image image[] = {
 /* process nr,   pc, flags, qs,  queue, stack, traps, ipcto, call,  name */ 
@@ -115,7 +106,6 @@
  { FS_PROC_NR,    0, SRV_F, 32,      4, 0,     SRV_T, SRV_M,  FS_C, "fs"    },
  { RS_PROC_NR,    0, SRV_F,  4,      3, 0,     SRV_T, SYS_M,  RS_C, "rs"    },
+ { DS_PROC_NR,    0, SRV_F,  4,      3, 0,     SRV_T, SYS_M,  DS_C, "ds"    },
  { TTY_PROC_NR,   0, SRV_F,  4,      1, 0,     SRV_T, SYS_M, TTY_C, "tty"   },
- { DS_PROC_NR,    0, SRV_F,  4,      3, 0,     SRV_T, SYS_M,  DS_C, "ds"    },
- { SS_PROC_NR,    0, SRV_F,  4,      3, 0,     SRV_T, SYS_M,  SS_C, "ss"    },
  { MEM_PROC_NR,   0, SRV_F,  4,      2, 0,     SRV_T, SYS_M, MEM_C, "mem"   },
  { LOG_PROC_NR,   0, SRV_F,  4,      2, 0,     SRV_T, SYS_M, DRV_C, "log"   },
Index: tags/minix3.1.2a-orig/minix/servers/Makefile
===================================================================
--- tags/minix3.1.2a-orig/minix/servers/Makefile	(revision 13)
+++ tags/minix3.1.2a-orig/minix/servers/Makefile	(revision 10)
@@ -20,5 +20,4 @@
 	cd ./rs && $(MAKE) $@
 	cd ./ds && $(MAKE) $@
-	cd ./ss && $(MAKE) $@
 	cd ./is && $(MAKE) $@
 	cd ./init && $(MAKE) $@
@@ -30,5 +29,4 @@
 	cd ./rs && $(MAKE) EXTRA_OPTS=$(EXTRA_OPTS) build
 	cd ./ds && $(MAKE) EXTRA_OPTS=$(EXTRA_OPTS) build
-	cd ./ss && $(MAKE) EXTRA_OPTS=$(EXTRA_OPTS) build
 	cd ./init && $(MAKE) EXTRA_OPTS=$(EXTRA_OPTS) build
 
Index: tags/minix3.1.2a-orig/minix/test/testsema.c
===================================================================
--- tags/minix3.1.2a-orig/minix/test/testsema.c	(revision 13)
+++ 	(revision )
@@ -1,40 +1,0 @@
-#include <lib.h>
-#include <unistd.h>
-#include <stdlib.h>
-#include <stdio.h>
-
-int up(void)
-{
-  message m;
- 
-  if (_syscall(SS_PROC_NR, SS_UP, &m) < 0) return(-1);
-  return 0;
-}
- 
-int down(void)
-{
-  message m;
- 
-  if (_syscall(SS_PROC_NR, SS_DOWN, &m) < 0) return(-1);
-  return 0;
-}
-
-int main(void)
-{
-        /* grazie al semaforo, il padre stampa sempre prima del figlio */
-	int r=0;
-        if (fork() > 0){
-                /* padre */
-                sleep(10);
-                printf("Sono il padre\n");
-		r = up();
-		if (r<0) printf("Errore p:%d\n", r);
-                return 0;
-        } else {
-                /* figlio */
-		r = down();
-		if (r<0) printf("Errore f:%d\n", r);
-                printf("Sono il figlio\n");
-                return 0;
-        }
-}
Index: tags/minix3.1.2a-orig/minix/tools/Makefile
===================================================================
--- tags/minix3.1.2a-orig/minix/tools/Makefile	(revision 13)
+++ tags/minix3.1.2a-orig/minix/tools/Makefile	(revision 10)
@@ -11,7 +11,6 @@
 	../servers/fs/fs \
 	../servers/rs/rs \
+	../servers/ds/ds \
 	../drivers/tty/tty \
-	../servers/ds/ds \
-	../servers/ss/ss \
 	../drivers/memory/memory \
 	../drivers/log/log \
